Last Comment Bug 684726 - Remind people to update nsContentBlocker when they update nsIContentPolicy
: Remind people to update nsContentBlocker when they update nsIContentPolicy
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-05 08:54 PDT by neil@parkwaycc.co.uk
Modified: 2011-09-08 14:00 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Proposed patch (4.36 KB, patch)
2011-09-05 11:41 PDT, neil@parkwaycc.co.uk
bzbarsky: review+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2011-09-05 08:54:28 PDT
The newest two content policy types, font and media, cannot be blocked by the built-in content blocker. As well as updating it, we should leave a comment in the content policy interface to remind people to keep it up-to-date in future.
Comment 1 neil@parkwaycc.co.uk 2011-09-05 11:41:02 PDT
Created attachment 558314 [details] [diff] [review]
Proposed patch
Comment 2 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-09-07 13:54:37 PDT
Comment on attachment 558314 [details] [diff] [review]
Proposed patch

r=me
Comment 3 neil@parkwaycc.co.uk 2011-09-08 14:00:13 PDT
Pushed changeset a73f7a3b85a5 to mozilla-central.

Note You need to log in before you can comment on or make changes to this bug.